Update gift
PUT
/v2/gifts/{giftId}
const url = 'https://api-crm-staging.divinea.com/api/v2/gifts/example';const options = { method: 'PUT', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"aasmState":"draft","adults":1,"amountCents":1,"amountCurrency":"example","beneficiaryEmail":"example","beneficiaryFirstname":"example","beneficiaryLastname":"example","beneficiaryNotified":true,"beneficiaryNotifyAt":"2026-04-15","children":1,"contactId":1,"createdAt":"2026-04-15T12:00:00Z","defaultMinParties":1,"email":"example","experiencePriceLabels":[{"additionalProperty":{}}],"expiresAt":"2026-04-15","extraData":{},"firstname":"example","giftId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","id":1,"lastname":"example","message":"example","phone":"example","redemptionDate":"2026-04-15T12:00:00Z","reservationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","updatedAt":"2026-04-15T12:00:00Z","wineryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v2/gifts/example \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "aasmState": "draft", "adults": 1, "amountCents": 1, "amountCurrency": "example", "beneficiaryEmail": "example", "beneficiaryFirstname": "example", "beneficiaryLastname": "example", "beneficiaryNotified": true, "beneficiaryNotifyAt": "2026-04-15", "children": 1, "contactId": 1, "createdAt": "2026-04-15T12:00:00Z", "defaultMinParties": 1, "email": "example", "experiencePriceLabels": [ { "additionalProperty": {} } ], "expiresAt": "2026-04-15", "extraData": {}, "firstname": "example", "giftId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "id": 1, "lastname": "example", "message": "example", "phone": "example", "redemptionDate": "2026-04-15T12:00:00Z", "reservationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "wineryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”giftId
required
string format: uuid
GiftId
Request Body
Sezione intitolata “Request Body”GiftDTO
Media typeapplication/json
GiftDTO
object
aasmState
string
adults
integer format: int32
amountCents
integer format: int32
amountCurrency
string
beneficiaryEmail
string
beneficiaryFirstname
string
beneficiaryLastname
string
beneficiaryNotified
boolean
beneficiaryNotifyAt
string format: date
children
integer format: int32
contactId
integer format: int64
createdAt
string format: date-time
defaultMinParties
integer format: int32
email
string
experiencePriceLabels
Array<object>
Map«string,object»object
key
additional properties
object
expiresAt
string format: date
extraData
object
firstname
string
giftId
string format: uuid
id
integer format: int64
lastname
string
message
string
phone
string
redemptionDate
string format: date-time
reservationId
string format: uuid
updatedAt
string format: date-time
wineryId
string format: uuid
Responses
Sezione intitolata “Responses”OK
Media type*/*
GiftDTO
object
aasmState
string
adults
integer format: int32
amountCents
integer format: int32
amountCurrency
string
beneficiaryEmail
string
beneficiaryFirstname
string
beneficiaryLastname
string
beneficiaryNotified
boolean
beneficiaryNotifyAt
string format: date
children
integer format: int32
contactId
integer format: int64
createdAt
string format: date-time
defaultMinParties
integer format: int32
email
string
experiencePriceLabels
Array<object>
Map«string,object»object
key
additional properties
object
expiresAt
string format: date
extraData
object
firstname
string
giftId
string format: uuid
id
integer format: int64
lastname
string
message
string
phone
string
redemptionDate
string format: date-time
reservationId
string format: uuid
updatedAt
string format: date-time
wineryId
string format: uuid